# EclipseWtp

abstract class EclipseWtp

Enables fine-tuning wtp/wst details of the Eclipse plugin

For projects applying the eclipse plugin and either one of the ear or war plugins, this plugin is auto-applied.

More interesting examples you will find in docs for EclipseWtpComponent and EclipseWtpFacet

    plugins {
        id 'war' // or 'ear' or 'java'
        id 'eclipse-wtp'
    }

    eclipse {

      //if you want parts of paths in resulting file(s) to be replaced by variables (files):
      pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

      wtp {
        component {
          //for examples see docs for EclipseWtpComponent
        }

        facet {
          //for examples see docs for EclipseWtpFacet
        }
      }
    }

Content copied to clipboard

## Constructors

EclipseWtp
Link copied to clipboard
constructor()

## Properties

component
Link copied to clipboard
open var component: EclipseWtpComponent
facet
Link copied to clipboard
open var facet: EclipseWtpFacet

## Functions

component
Link copied to clipboard
open fun component(@DelegatesTo(value = EclipseWtpComponent::class) action: Closure)
open fun component(action: Action<in EclipseWtpComponent>)
Configures wtp component.
facet
Link copied to clipboard
open fun facet(@DelegatesTo(value = EclipseWtpFacet::class) action: Closure)
open fun facet(action: Action<in EclipseWtpFacet>)
Configures wtp facet.